Bug 19017 - WizardPanel templates should not subclass JPanel
WizardPanel templates should not subclass JPanel
Status: CLOSED FIXED
Product: apisupport
Classification: Unclassified
Component: Templates
3.x
All All
: P3 (vote)
: 3.x
Assigned To: Jesse Glick
issues@apisupport
: PERFORMANCE
Depends on: 19155
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 19:04 UTC by Rochelle Raccah
Modified: 2006-02-14 17:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Attempted patch (4.46 KB, patch)
2002-01-08 17:39 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rochelle Raccah 2002-01-03 19:04:07 UTC
From a discussion on nbdev:

> I recall some postings on this newsgroup that advised that WizardPanels should 
> not themselves be JPanels, but instead lazily create the JPanel.  See the
thread at
>
<http://www.netbeans.org/servlets/BrowseList?listName=nbdev&by=thread&from=6368>
>
> My question:  The API Support module's templates still create JPanels.
> Shouldn't that be fixed?  Should I file a bug?

Hi Rochelle, I guess a bug would be good, the performance could be improved
significantly.
y.
Comment 1 Jesse Glick 2002-01-04 17:14:58 UTC
Sounds like a good idea, thanks.
Comment 2 Jesse Glick 2002-01-08 17:39:14 UTC
Created attachment 4016 [details]
Attempted patch
Comment 3 Jesse Glick 2002-01-08 17:39:51 UTC
Have a patch, but blocked by a form editor bug.
Comment 4 Jesse Glick 2002-01-10 11:16:10 UTC
Fixed using a separate form class.

committed   * Up-To-Date  1.29.2.2   
apisupport/src/org/netbeans/modules/apisupport/resources/mf-layer.xml
committed   * Up-To-Date  1.1.2.1    
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Window_System_API/WizardNonvisualPanel_java
committed   * Up-To-Date  1.2.18.1   
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Window_System_API/WizardPanel_java
committed   * Up-To-Date  1.1.4.1    
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Window_System_API/Wizard_panel.group
Comment 5 Quality Engineering 2003-06-30 15:01:16 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 6 Quality Engineering 2003-06-30 15:02:41 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo